Package org.eclipse.jgit.patch

## Class CombinedHunkHeader

- java.lang.Object
- - org.eclipse.jgit.patch.HunkHeader
  - - org.eclipse.jgit.patch.CombinedHunkHeader

    public class CombinedHunkHeader
    extends HunkHeader

Hunk header for a hunk appearing in a "diff --cc" style patch.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jgit.patch.HunkHeader

`HunkHeader.OldImage`

### Method Summary

All Methods Instance Methods Concrete Methods
`CombinedFileHeader` `getFileHeader()`
`HunkHeader.OldImage` `getOldImage()`
`HunkHeader.OldImage` `getOldImage​(int nthParent)` Get the OldImage data related to the nth ancestor

### Methods inherited from class org.eclipse.jgit.patch.HunkHeader

`getBuffer, getEndOffset, getLinesContext, getNewLineCount, getNewStartLine, getStartOffset, toEditList, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getFileHeader

    public CombinedFileHeader getFileHeader()

Overrides:
  `getFileHeader` in class `HunkHeader`
Returns:
  header for the file this hunk applies to

#### getOldImage

    public HunkHeader.OldImage getOldImage()

Overrides:
  `getOldImage` in class `HunkHeader`
Returns:
  information about the old image mentioned in this hunk.

#### getOldImage

    public HunkHeader.OldImage getOldImage​(int nthParent)

Get the OldImage data related to the nth ancestor

Parameters:
  `nthParent` - the ancestor to get the old image data of
Returns:
  image data of the requested ancestor.